Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network192.168.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
192.168.0.0
Broadcast address
192.168.255.255
First usable
192.168.0.1
Last usable
192.168.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Private (RFC 1918) 192.168.0.0/16
Office and home networks; not routed on the internet
Old class
C (default /24)
As numbers
Hex C0A80000 · Integer 3232235520 to 3232301055
Reverse DNS zone
168.192.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000000.10101000..00000000.00000000192.168.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11000000.10101000..00000000.00000000192.168.0.0
Broadcast11000000.10101000..11111111.11111111192.168.255.255
Split into smaller subnets/26

192.168.0.0/16 makes 1,024 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1192.168.0.0/26192.168.0.1 to 192.168.0.62192.168.0.6362
2192.168.0.64/26192.168.0.65 to 192.168.0.126192.168.0.12762
3192.168.0.128/26192.168.0.129 to 192.168.0.190192.168.0.19162
4192.168.0.192/26192.168.0.193 to 192.168.0.254192.168.0.25562
5192.168.1.0/26192.168.1.1 to 192.168.1.62192.168.1.6362
6192.168.1.64/26192.168.1.65 to 192.168.1.126192.168.1.12762
7192.168.1.128/26192.168.1.129 to 192.168.1.190192.168.1.19162
8192.168.1.192/26192.168.1.193 to 192.168.1.254192.168.1.25562
9192.168.2.0/26192.168.2.1 to 192.168.2.62192.168.2.6362
10192.168.2.64/26192.168.2.65 to 192.168.2.126192.168.2.12762
11192.168.2.128/26192.168.2.129 to 192.168.2.190192.168.2.19162
12192.168.2.192/26192.168.2.193 to 192.168.2.254192.168.2.25562
13192.168.3.0/26192.168.3.1 to 192.168.3.62192.168.3.6362
14192.168.3.64/26192.168.3.65 to 192.168.3.126192.168.3.12762
15192.168.3.128/26192.168.3.129 to 192.168.3.190192.168.3.19162
16192.168.3.192/26192.168.3.193 to 192.168.3.254192.168.3.25562
17192.168.4.0/26192.168.4.1 to 192.168.4.62192.168.4.6362
18192.168.4.64/26192.168.4.65 to 192.168.4.126192.168.4.12762
19192.168.4.128/26192.168.4.129 to 192.168.4.190192.168.4.19162
20192.168.4.192/26192.168.4.193 to 192.168.4.254192.168.4.25562
21192.168.5.0/26192.168.5.1 to 192.168.5.62192.168.5.6362
22192.168.5.64/26192.168.5.65 to 192.168.5.126192.168.5.12762
23192.168.5.128/26192.168.5.129 to 192.168.5.190192.168.5.19162
24192.168.5.192/26192.168.5.193 to 192.168.5.254192.168.5.25562
25192.168.6.0/26192.168.6.1 to 192.168.6.62192.168.6.6362
26192.168.6.64/26192.168.6.65 to 192.168.6.126192.168.6.12762
27192.168.6.128/26192.168.6.129 to 192.168.6.190192.168.6.19162
28192.168.6.192/26192.168.6.193 to 192.168.6.254192.168.6.25562
29192.168.7.0/26192.168.7.1 to 192.168.7.62192.168.7.6362
30192.168.7.64/26192.168.7.65 to 192.168.7.126192.168.7.12762
31192.168.7.128/26192.168.7.129 to 192.168.7.190192.168.7.19162
32192.168.7.192/26192.168.7.193 to 192.168.7.254192.168.7.25562
33192.168.8.0/26192.168.8.1 to 192.168.8.62192.168.8.6362
34192.168.8.64/26192.168.8.65 to 192.168.8.126192.168.8.12762
35192.168.8.128/26192.168.8.129 to 192.168.8.190192.168.8.19162
36192.168.8.192/26192.168.8.193 to 192.168.8.254192.168.8.25562
37192.168.9.0/26192.168.9.1 to 192.168.9.62192.168.9.6362
38192.168.9.64/26192.168.9.65 to 192.168.9.126192.168.9.12762
39192.168.9.128/26192.168.9.129 to 192.168.9.190192.168.9.19162
40192.168.9.192/26192.168.9.193 to 192.168.9.254192.168.9.25562
41192.168.10.0/26192.168.10.1 to 192.168.10.62192.168.10.6362
42192.168.10.64/26192.168.10.65 to 192.168.10.126192.168.10.12762
43192.168.10.128/26192.168.10.129 to 192.168.10.190192.168.10.19162
44192.168.10.192/26192.168.10.193 to 192.168.10.254192.168.10.25562
45192.168.11.0/26192.168.11.1 to 192.168.11.62192.168.11.6362
46192.168.11.64/26192.168.11.65 to 192.168.11.126192.168.11.12762
47192.168.11.128/26192.168.11.129 to 192.168.11.190192.168.11.19162
48192.168.11.192/26192.168.11.193 to 192.168.11.254192.168.11.25562
49192.168.12.0/26192.168.12.1 to 192.168.12.62192.168.12.6362
50192.168.12.64/26192.168.12.65 to 192.168.12.126192.168.12.12762
51192.168.12.128/26192.168.12.129 to 192.168.12.190192.168.12.19162
52192.168.12.192/26192.168.12.193 to 192.168.12.254192.168.12.25562
53192.168.13.0/26192.168.13.1 to 192.168.13.62192.168.13.6362
54192.168.13.64/26192.168.13.65 to 192.168.13.126192.168.13.12762
55192.168.13.128/26192.168.13.129 to 192.168.13.190192.168.13.19162
56192.168.13.192/26192.168.13.193 to 192.168.13.254192.168.13.25562
57192.168.14.0/26192.168.14.1 to 192.168.14.62192.168.14.6362
58192.168.14.64/26192.168.14.65 to 192.168.14.126192.168.14.12762
59192.168.14.128/26192.168.14.129 to 192.168.14.190192.168.14.19162
60192.168.14.192/26192.168.14.193 to 192.168.14.254192.168.14.25562
61192.168.15.0/26192.168.15.1 to 192.168.15.62192.168.15.6362
62192.168.15.64/26192.168.15.65 to 192.168.15.126192.168.15.12762
63192.168.15.128/26192.168.15.129 to 192.168.15.190192.168.15.19162
64192.168.15.192/26192.168.15.193 to 192.168.15.254192.168.15.25562
65192.168.16.0/26192.168.16.1 to 192.168.16.62192.168.16.6362
66192.168.16.64/26192.168.16.65 to 192.168.16.126192.168.16.12762
67192.168.16.128/26192.168.16.129 to 192.168.16.190192.168.16.19162
68192.168.16.192/26192.168.16.193 to 192.168.16.254192.168.16.25562
69192.168.17.0/26192.168.17.1 to 192.168.17.62192.168.17.6362
70192.168.17.64/26192.168.17.65 to 192.168.17.126192.168.17.12762
71192.168.17.128/26192.168.17.129 to 192.168.17.190192.168.17.19162
72192.168.17.192/26192.168.17.193 to 192.168.17.254192.168.17.25562
73192.168.18.0/26192.168.18.1 to 192.168.18.62192.168.18.6362
74192.168.18.64/26192.168.18.65 to 192.168.18.126192.168.18.12762
75192.168.18.128/26192.168.18.129 to 192.168.18.190192.168.18.19162
76192.168.18.192/26192.168.18.193 to 192.168.18.254192.168.18.25562
77192.168.19.0/26192.168.19.1 to 192.168.19.62192.168.19.6362
78192.168.19.64/26192.168.19.65 to 192.168.19.126192.168.19.12762
79192.168.19.128/26192.168.19.129 to 192.168.19.190192.168.19.19162
80192.168.19.192/26192.168.19.193 to 192.168.19.254192.168.19.25562
81192.168.20.0/26192.168.20.1 to 192.168.20.62192.168.20.6362
82192.168.20.64/26192.168.20.65 to 192.168.20.126192.168.20.12762
83192.168.20.128/26192.168.20.129 to 192.168.20.190192.168.20.19162
84192.168.20.192/26192.168.20.193 to 192.168.20.254192.168.20.25562
85192.168.21.0/26192.168.21.1 to 192.168.21.62192.168.21.6362
86192.168.21.64/26192.168.21.65 to 192.168.21.126192.168.21.12762
87192.168.21.128/26192.168.21.129 to 192.168.21.190192.168.21.19162
88192.168.21.192/26192.168.21.193 to 192.168.21.254192.168.21.25562
89192.168.22.0/26192.168.22.1 to 192.168.22.62192.168.22.6362
90192.168.22.64/26192.168.22.65 to 192.168.22.126192.168.22.12762
91192.168.22.128/26192.168.22.129 to 192.168.22.190192.168.22.19162
92192.168.22.192/26192.168.22.193 to 192.168.22.254192.168.22.25562
93192.168.23.0/26192.168.23.1 to 192.168.23.62192.168.23.6362
94192.168.23.64/26192.168.23.65 to 192.168.23.126192.168.23.12762
95192.168.23.128/26192.168.23.129 to 192.168.23.190192.168.23.19162
96192.168.23.192/26192.168.23.193 to 192.168.23.254192.168.23.25562
97192.168.24.0/26192.168.24.1 to 192.168.24.62192.168.24.6362
98192.168.24.64/26192.168.24.65 to 192.168.24.126192.168.24.12762
99192.168.24.128/26192.168.24.129 to 192.168.24.190192.168.24.19162
100192.168.24.192/26192.168.24.193 to 192.168.24.254192.168.24.25562
101192.168.25.0/26192.168.25.1 to 192.168.25.62192.168.25.6362
102192.168.25.64/26192.168.25.65 to 192.168.25.126192.168.25.12762
103192.168.25.128/26192.168.25.129 to 192.168.25.190192.168.25.19162
104192.168.25.192/26192.168.25.193 to 192.168.25.254192.168.25.25562
105192.168.26.0/26192.168.26.1 to 192.168.26.62192.168.26.6362
106192.168.26.64/26192.168.26.65 to 192.168.26.126192.168.26.12762
107192.168.26.128/26192.168.26.129 to 192.168.26.190192.168.26.19162
108192.168.26.192/26192.168.26.193 to 192.168.26.254192.168.26.25562
109192.168.27.0/26192.168.27.1 to 192.168.27.62192.168.27.6362
110192.168.27.64/26192.168.27.65 to 192.168.27.126192.168.27.12762
111192.168.27.128/26192.168.27.129 to 192.168.27.190192.168.27.19162
112192.168.27.192/26192.168.27.193 to 192.168.27.254192.168.27.25562
113192.168.28.0/26192.168.28.1 to 192.168.28.62192.168.28.6362
114192.168.28.64/26192.168.28.65 to 192.168.28.126192.168.28.12762
115192.168.28.128/26192.168.28.129 to 192.168.28.190192.168.28.19162
116192.168.28.192/26192.168.28.193 to 192.168.28.254192.168.28.25562
117192.168.29.0/26192.168.29.1 to 192.168.29.62192.168.29.6362
118192.168.29.64/26192.168.29.65 to 192.168.29.126192.168.29.12762
119192.168.29.128/26192.168.29.129 to 192.168.29.190192.168.29.19162
120192.168.29.192/26192.168.29.193 to 192.168.29.254192.168.29.25562
121192.168.30.0/26192.168.30.1 to 192.168.30.62192.168.30.6362
122192.168.30.64/26192.168.30.65 to 192.168.30.126192.168.30.12762
123192.168.30.128/26192.168.30.129 to 192.168.30.190192.168.30.19162
124192.168.30.192/26192.168.30.193 to 192.168.30.254192.168.30.25562
125192.168.31.0/26192.168.31.1 to 192.168.31.62192.168.31.6362
126192.168.31.64/26192.168.31.65 to 192.168.31.126192.168.31.12762
127192.168.31.128/26192.168.31.129 to 192.168.31.190192.168.31.19162
128192.168.31.192/26192.168.31.193 to 192.168.31.254192.168.31.25562
129192.168.32.0/26192.168.32.1 to 192.168.32.62192.168.32.6362
130192.168.32.64/26192.168.32.65 to 192.168.32.126192.168.32.12762
131192.168.32.128/26192.168.32.129 to 192.168.32.190192.168.32.19162
132192.168.32.192/26192.168.32.193 to 192.168.32.254192.168.32.25562
133192.168.33.0/26192.168.33.1 to 192.168.33.62192.168.33.6362
134192.168.33.64/26192.168.33.65 to 192.168.33.126192.168.33.12762
135192.168.33.128/26192.168.33.129 to 192.168.33.190192.168.33.19162
136192.168.33.192/26192.168.33.193 to 192.168.33.254192.168.33.25562
137192.168.34.0/26192.168.34.1 to 192.168.34.62192.168.34.6362
138192.168.34.64/26192.168.34.65 to 192.168.34.126192.168.34.12762
139192.168.34.128/26192.168.34.129 to 192.168.34.190192.168.34.19162
140192.168.34.192/26192.168.34.193 to 192.168.34.254192.168.34.25562
141192.168.35.0/26192.168.35.1 to 192.168.35.62192.168.35.6362
142192.168.35.64/26192.168.35.65 to 192.168.35.126192.168.35.12762
143192.168.35.128/26192.168.35.129 to 192.168.35.190192.168.35.19162
144192.168.35.192/26192.168.35.193 to 192.168.35.254192.168.35.25562
145192.168.36.0/26192.168.36.1 to 192.168.36.62192.168.36.6362
146192.168.36.64/26192.168.36.65 to 192.168.36.126192.168.36.12762
147192.168.36.128/26192.168.36.129 to 192.168.36.190192.168.36.19162
148192.168.36.192/26192.168.36.193 to 192.168.36.254192.168.36.25562
149192.168.37.0/26192.168.37.1 to 192.168.37.62192.168.37.6362
150192.168.37.64/26192.168.37.65 to 192.168.37.126192.168.37.12762
151192.168.37.128/26192.168.37.129 to 192.168.37.190192.168.37.19162
152192.168.37.192/26192.168.37.193 to 192.168.37.254192.168.37.25562
153192.168.38.0/26192.168.38.1 to 192.168.38.62192.168.38.6362
154192.168.38.64/26192.168.38.65 to 192.168.38.126192.168.38.12762
155192.168.38.128/26192.168.38.129 to 192.168.38.190192.168.38.19162
156192.168.38.192/26192.168.38.193 to 192.168.38.254192.168.38.25562
157192.168.39.0/26192.168.39.1 to 192.168.39.62192.168.39.6362
158192.168.39.64/26192.168.39.65 to 192.168.39.126192.168.39.12762
159192.168.39.128/26192.168.39.129 to 192.168.39.190192.168.39.19162
160192.168.39.192/26192.168.39.193 to 192.168.39.254192.168.39.25562
161192.168.40.0/26192.168.40.1 to 192.168.40.62192.168.40.6362
162192.168.40.64/26192.168.40.65 to 192.168.40.126192.168.40.12762
163192.168.40.128/26192.168.40.129 to 192.168.40.190192.168.40.19162
164192.168.40.192/26192.168.40.193 to 192.168.40.254192.168.40.25562
165192.168.41.0/26192.168.41.1 to 192.168.41.62192.168.41.6362
166192.168.41.64/26192.168.41.65 to 192.168.41.126192.168.41.12762
167192.168.41.128/26192.168.41.129 to 192.168.41.190192.168.41.19162
168192.168.41.192/26192.168.41.193 to 192.168.41.254192.168.41.25562
169192.168.42.0/26192.168.42.1 to 192.168.42.62192.168.42.6362
170192.168.42.64/26192.168.42.65 to 192.168.42.126192.168.42.12762
171192.168.42.128/26192.168.42.129 to 192.168.42.190192.168.42.19162
172192.168.42.192/26192.168.42.193 to 192.168.42.254192.168.42.25562
173192.168.43.0/26192.168.43.1 to 192.168.43.62192.168.43.6362
174192.168.43.64/26192.168.43.65 to 192.168.43.126192.168.43.12762
175192.168.43.128/26192.168.43.129 to 192.168.43.190192.168.43.19162
176192.168.43.192/26192.168.43.193 to 192.168.43.254192.168.43.25562
177192.168.44.0/26192.168.44.1 to 192.168.44.62192.168.44.6362
178192.168.44.64/26192.168.44.65 to 192.168.44.126192.168.44.12762
179192.168.44.128/26192.168.44.129 to 192.168.44.190192.168.44.19162
180192.168.44.192/26192.168.44.193 to 192.168.44.254192.168.44.25562
181192.168.45.0/26192.168.45.1 to 192.168.45.62192.168.45.6362
182192.168.45.64/26192.168.45.65 to 192.168.45.126192.168.45.12762
183192.168.45.128/26192.168.45.129 to 192.168.45.190192.168.45.19162
184192.168.45.192/26192.168.45.193 to 192.168.45.254192.168.45.25562
185192.168.46.0/26192.168.46.1 to 192.168.46.62192.168.46.6362
186192.168.46.64/26192.168.46.65 to 192.168.46.126192.168.46.12762
187192.168.46.128/26192.168.46.129 to 192.168.46.190192.168.46.19162
188192.168.46.192/26192.168.46.193 to 192.168.46.254192.168.46.25562
189192.168.47.0/26192.168.47.1 to 192.168.47.62192.168.47.6362
190192.168.47.64/26192.168.47.65 to 192.168.47.126192.168.47.12762
191192.168.47.128/26192.168.47.129 to 192.168.47.190192.168.47.19162
192192.168.47.192/26192.168.47.193 to 192.168.47.254192.168.47.25562
193192.168.48.0/26192.168.48.1 to 192.168.48.62192.168.48.6362
194192.168.48.64/26192.168.48.65 to 192.168.48.126192.168.48.12762
195192.168.48.128/26192.168.48.129 to 192.168.48.190192.168.48.19162
196192.168.48.192/26192.168.48.193 to 192.168.48.254192.168.48.25562
197192.168.49.0/26192.168.49.1 to 192.168.49.62192.168.49.6362
198192.168.49.64/26192.168.49.65 to 192.168.49.126192.168.49.12762
199192.168.49.128/26192.168.49.129 to 192.168.49.190192.168.49.19162
200192.168.49.192/26192.168.49.193 to 192.168.49.254192.168.49.25562
201192.168.50.0/26192.168.50.1 to 192.168.50.62192.168.50.6362
202192.168.50.64/26192.168.50.65 to 192.168.50.126192.168.50.12762
203192.168.50.128/26192.168.50.129 to 192.168.50.190192.168.50.19162
204192.168.50.192/26192.168.50.193 to 192.168.50.254192.168.50.25562
205192.168.51.0/26192.168.51.1 to 192.168.51.62192.168.51.6362
206192.168.51.64/26192.168.51.65 to 192.168.51.126192.168.51.12762
207192.168.51.128/26192.168.51.129 to 192.168.51.190192.168.51.19162
208192.168.51.192/26192.168.51.193 to 192.168.51.254192.168.51.25562
209192.168.52.0/26192.168.52.1 to 192.168.52.62192.168.52.6362
210192.168.52.64/26192.168.52.65 to 192.168.52.126192.168.52.12762
211192.168.52.128/26192.168.52.129 to 192.168.52.190192.168.52.19162
212192.168.52.192/26192.168.52.193 to 192.168.52.254192.168.52.25562
213192.168.53.0/26192.168.53.1 to 192.168.53.62192.168.53.6362
214192.168.53.64/26192.168.53.65 to 192.168.53.126192.168.53.12762
215192.168.53.128/26192.168.53.129 to 192.168.53.190192.168.53.19162
216192.168.53.192/26192.168.53.193 to 192.168.53.254192.168.53.25562
217192.168.54.0/26192.168.54.1 to 192.168.54.62192.168.54.6362
218192.168.54.64/26192.168.54.65 to 192.168.54.126192.168.54.12762
219192.168.54.128/26192.168.54.129 to 192.168.54.190192.168.54.19162
220192.168.54.192/26192.168.54.193 to 192.168.54.254192.168.54.25562
221192.168.55.0/26192.168.55.1 to 192.168.55.62192.168.55.6362
222192.168.55.64/26192.168.55.65 to 192.168.55.126192.168.55.12762
223192.168.55.128/26192.168.55.129 to 192.168.55.190192.168.55.19162
224192.168.55.192/26192.168.55.193 to 192.168.55.254192.168.55.25562
225192.168.56.0/26192.168.56.1 to 192.168.56.62192.168.56.6362
226192.168.56.64/26192.168.56.65 to 192.168.56.126192.168.56.12762
227192.168.56.128/26192.168.56.129 to 192.168.56.190192.168.56.19162
228192.168.56.192/26192.168.56.193 to 192.168.56.254192.168.56.25562
229192.168.57.0/26192.168.57.1 to 192.168.57.62192.168.57.6362
230192.168.57.64/26192.168.57.65 to 192.168.57.126192.168.57.12762
231192.168.57.128/26192.168.57.129 to 192.168.57.190192.168.57.19162
232192.168.57.192/26192.168.57.193 to 192.168.57.254192.168.57.25562
233192.168.58.0/26192.168.58.1 to 192.168.58.62192.168.58.6362
234192.168.58.64/26192.168.58.65 to 192.168.58.126192.168.58.12762
235192.168.58.128/26192.168.58.129 to 192.168.58.190192.168.58.19162
236192.168.58.192/26192.168.58.193 to 192.168.58.254192.168.58.25562
237192.168.59.0/26192.168.59.1 to 192.168.59.62192.168.59.6362
238192.168.59.64/26192.168.59.65 to 192.168.59.126192.168.59.12762
239192.168.59.128/26192.168.59.129 to 192.168.59.190192.168.59.19162
240192.168.59.192/26192.168.59.193 to 192.168.59.254192.168.59.25562
241192.168.60.0/26192.168.60.1 to 192.168.60.62192.168.60.6362
242192.168.60.64/26192.168.60.65 to 192.168.60.126192.168.60.12762
243192.168.60.128/26192.168.60.129 to 192.168.60.190192.168.60.19162
244192.168.60.192/26192.168.60.193 to 192.168.60.254192.168.60.25562
245192.168.61.0/26192.168.61.1 to 192.168.61.62192.168.61.6362
246192.168.61.64/26192.168.61.65 to 192.168.61.126192.168.61.12762
247192.168.61.128/26192.168.61.129 to 192.168.61.190192.168.61.19162
248192.168.61.192/26192.168.61.193 to 192.168.61.254192.168.61.25562
249192.168.62.0/26192.168.62.1 to 192.168.62.62192.168.62.6362
250192.168.62.64/26192.168.62.65 to 192.168.62.126192.168.62.12762
251192.168.62.128/26192.168.62.129 to 192.168.62.190192.168.62.19162
252192.168.62.192/26192.168.62.193 to 192.168.62.254192.168.62.25562
253192.168.63.0/26192.168.63.1 to 192.168.63.62192.168.63.6362
254192.168.63.64/26192.168.63.65 to 192.168.63.126192.168.63.12762
255192.168.63.128/26192.168.63.129 to 192.168.63.190192.168.63.19162
256192.168.63.192/26192.168.63.193 to 192.168.63.254192.168.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses